OpenTTD Source: CYapfFollowAnySafeTileRailT< Types > Class Template Reference

OpenTTD Source 15.0-RC2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
CYapfFollowAnySafeTileRailT< Types > Class Template Reference
Inheritance diagram for CYapfFollowAnySafeTileRailT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables
Public Types inherited from CYapfReserveTrack< Types >
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Item | Node
| this will be our node type

## Public Member Functions
void | PfFollowNode (Node &old_node)
| Called by YAPF to move from the given node to the next tile.
char | TransportTypeChar () const
| Return debug report character to identify the transportation type.
bool | FindNearestSafeTile (const Train *v, TileIndex t1, Trackdir td, bool override_railtype, bool dont_reserve)
Public Member Functions inherited from CYapfReserveTrack< Types >
void | SetReservationTarget (Node *node, TileIndex tile, Trackdir td)
| Set the target to where the reservation should be extended.
void | FindSafePositionOnNode (Node *node)
| Check the node for a possible reservation target.
bool | TryReservePath (PBSTileInfo *target, TileIndex origin)
| Try to reserve the path till the reservation target.

## Static Public Member Functions
static bool | stFindNearestSafeTile (const Train *v, TileIndex t1, Trackdir td, bool override_railtype)

## Protected Member Functions
Tpf & | Yapf ()
| to access inherited path finder
Protected Member Functions inherited from CYapfReserveTrack< Types >
Tpf & | Yapf ()
| to access inherited pathfinder

## Detailed Description

template<class Types>
class CYapfFollowAnySafeTileRailT< Types >

Definition at line 301 of file yapf_rail.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfFollowAnySafeTileRailT< Types >::Key

key to hash tables

Definition at line 306 of file yapf_rail.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfFollowAnySafeTileRailT< Types >::Node

this will be our node type

Definition at line 305 of file yapf_rail.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfFollowAnySafeTileRailT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 303 of file yapf_rail.cpp.

## ◆ TrackFollower

template<class Types >

typedef Types::TrackFollower CYapfFollowAnySafeTileRailT< Types >::TrackFollower

Definition at line 304 of file yapf_rail.cpp.

## Member Function Documentation

## ◆ FindNearestSafeTile()

template<class Types >

bool CYapfFollowAnySafeTileRailT< Types >::FindNearestSafeTile | ( | const Train * | v,
|  | TileIndex | t1,
|  | Trackdir | td,
|  | bool | override_railtype,
|  | bool | dont_reserve
| ) |  |
| inline

Definition at line 356 of file yapf_rail.cpp.

## ◆ PfFollowNode()

template<class Types >

void CYapfFollowAnySafeTileRailT< Types >::PfFollowNode | ( | Node & | old_node | ) |
| inline

Called by YAPF to move from the given node to the next tile.

For each reachable trackdir on the new tile creates new node, initializes it and adds it to the open list by calling Yapf().AddNewNode(n)

Definition at line 321 of file yapf_rail.cpp.

References CYapfFollowAnySafeTileRailT< Types >::Yapf().

## ◆ stFindNearestSafeTile()

template<class Types >

static bool CYapfFollowAnySafeTileRailT< Types >::stFindNearestSafeTile | ( | const Train * | v,
|  | TileIndex | t1,
|  | Trackdir | td,
|  | bool | override_railtype
| ) |  |
| inlinestatic

Definition at line 335 of file yapf_rail.cpp.

## ◆ TransportTypeChar()

template<class Types >

char CYapfFollowAnySafeTileRailT< Types >::TransportTypeChar | ( |  | ) | const
| inline

Return debug report character to identify the transportation type.

Definition at line 330 of file yapf_rail.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfFollowAnySafeTileRailT< Types >::Yapf | ( |  | ) |
| inlineprotected

to access inherited path finder

Definition at line 310 of file yapf_rail.cpp.

Referenced by CYapfFollowAnySafeTileRailT< Types >::PfFollowNode().

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_rail.cpp